=== debian/changelog ===
libmongoc (1.4.2-1) unstable; urgency=low

  * Upstream release

 -- A. Jesse Jiryu Davis <jesse@mongodb.com>  Wed, 12 Oct 2016 15:12:09 +0000

libmongoc (1.4.1-1) unstable; urgency=low

  * Upstream release

 -- A. Jesse Jiryu Davis <jesse@mongodb.com>  Fri, 23 Sep 2016 22:32:06 +0000

libmongoc (1.4.0-1) unstable; urgency=low

  * Upstream release

 -- A. Jesse Jiryu Davis <jesse@mongodb.com>  Mon, 12 Sep 2016 15:50:13 +0000
