## libmongoc 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,9 +14,7 @@
 option(ENABLE_EXAMPLES "Build MongoDB C Driver examples." ON)
 option(ENABLE_AUTOMATIC_INIT_AND_CLEANUP "Enable automatic init and cleanup (GCC only)" ON)
 option(ENABLE_CRYPTO_SYSTEM_PROFILE "Use system crypto profile (OpenSSL only)" OFF)
-option(ENABLE_EXPERIMENTAL_FEATURES
-        "Experimental future BSON and MongoDB features."
-        OFF)
+option(ENABLE_TRACING "Turn on verbose debug output" OFF)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR}/build/cmake)
 
@@ -39,6 +37,10 @@
       include (FindOpenSSL)
    endif ()
 
+   if (ENABLE_SSL STREQUAL LIBRESSL)
+      set (LIBRESSL 1)
+   endif ()
+
    if (ENABLE_SSL STREQUAL DARWIN)
       if (APPLE)
          set (SECURE_TRANSPORT 1)
@@ -63,7 +65,7 @@
       set (SECURE_CHANNEL 1)
    endif ()
 
-   if (NOT OPENSSL_FOUND AND NOT SECURE_TRANSPORT AND NOT SECURE_CHANNEL)
+   if (NOT OPENSSL_FOUND AND NOT SECURE_TRANSPORT AND NOT SECURE_CHANNEL AND NOT LIBRESSL)
       if (ENABLE_SSL STREQUAL AUTO)
          set (ENABLE_SSL OFF)
       else ()
@@ -75,6 +77,7 @@
 # Defaults.
 set (MONGOC_ENABLE_SSL 0)
 set (MONGOC_ENABLE_SSL_OPENSSL 0)
+set (MONGOC_ENABLE_SSL_LIBRESSL 0)
 set (MONGOC_ENABLE_SSL_SECURE_TRANSPORT 0)
 set (MONGOC_ENABLE_SSL_SECURE_CHANNEL 0)
 
@@ -100,6 +103,11 @@
    set (MONGOC_ENABLE_SSL_SECURE_CHANNEL 1)
    set (MONGOC_ENABLE_CRYPTO 1)
    set (MONGOC_ENABLE_CRYPTO_CNG 1)
+elseif (LIBRESSL)
+   set (MONGOC_ENABLE_SSL 1)
+   set (MONGOC_ENABLE_SSL_LIBRESSL 1)
+   set (MONGOC_ENABLE_CRYPTO 1)
+   set (MONGOC_ENABLE_CRYPTO_LIBCRYPTO 1)
 endif ()
 
 if (ENABLE_CRYPTO_SYSTEM_PROFILE)
@@ -126,12 +134,6 @@
    set (MONGOC_NO_AUTOMATIC_GLOBALS 1)
 endif ()
 
-if (ENABLE_EXPERIMENTAL_FEATURES)
-   set (MONGOC_EXPERIMENTAL_FEATURES 1)
-else ()
-   set (MONGOC_EXPERIMENTAL_FEATURES 0)
-endif ()
-
 include(CheckIncludeFiles)
 CHECK_INCLUDE_FILES(strings.h HAVE_STRINGS_H)
 
@@ -161,6 +163,14 @@
 
 set (MONGOC_HAVE_WEAK_SYMBOLS 0)
 
+set (MONGOC_CC ${CMAKE_C_COMPILER})
+set (MONGOC_USER_SET_CFLAGS ${CMAKE_C_FLAGS})
+set (MONGOC_USER_SET_LDFLAGS ${CMAKE_EXE_LINKER_FLAGS})
+
+if (ENABLE_TRACING)
+   set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DMONGOC_TRACE")
+endif ()
+
 configure_file (
    "${SOURCE_DIR}/src/mongoc/mongoc-config.h.in"
    "${PROJECT_BINARY_DIR}/src/mongoc/mongoc-config.h"
@@ -191,6 +201,7 @@
 
 add_definitions(-D_GNU_SOURCE)
 add_definitions(-D_BSD_SOURCE)
+add_definitions(-D_DEFAULT_SOURCE)
 if (APPLE)
    # Until CDRIVER-520.
    add_definitions(-Wno-deprecated-declarations)
@@ -222,10 +233,12 @@
    ${SOURCE_DIR}/src/mongoc/mongoc-gridfs-file-list.c
    ${SOURCE_DIR}/src/mongoc/mongoc-gridfs-file-page.c
    ${SOURCE_DIR}/src/mongoc/mongoc-gridfs-file-list.c
+   ${SOURCE_DIR}/src/mongoc/mongoc-handshake.c
    ${SOURCE_DIR}/src/mongoc/mongoc-host-list.c
    ${SOURCE_DIR}/src/mongoc/mongoc-index.c
    ${SOURCE_DIR}/src/mongoc/mongoc-init.c
    ${SOURCE_DIR}/src/mongoc/mongoc-list.c
+   ${SOURCE_DIR}/src/mongoc/mongoc-linux-distro-scanner.c
    ${SOURCE_DIR}/src/mongoc/mongoc-log.c
    ${SOURCE_DIR}/src/mongoc/mongoc-matcher.c
    ${SOURCE_DIR}/src/mongoc/mongoc-matcher-op.c
@@ -247,6 +260,7 @@
    ${SOURCE_DIR}/src/mongoc/mongoc-stream-socket.c
    ${SOURCE_DIR}/src/mongoc/mongoc-topology.c
    ${SOURCE_DIR}/src/mongoc/mongoc-topology-description.c
+   ${SOURCE_DIR}/src/mongoc/mongoc-topology-description-apm.c
    ${SOURCE_DIR}/src/mongoc/mongoc-topology-scanner.c
    ${SOURCE_DIR}/src/mongoc/mongoc-uri.c
    ${SOURCE_DIR}/src/mongoc/mongoc-util.c
@@ -260,7 +274,6 @@
    ${PROJECT_BINARY_DIR}/src/mongoc/mongoc-version.h
    ${SOURCE_DIR}/src/mongoc/mongoc.h
    ${SOURCE_DIR}/src/mongoc/mongoc-apm.h
-   ${SOURCE_DIR}/src/mongoc/mongoc-apm-private.h
    ${SOURCE_DIR}/src/mongoc/mongoc-bulk-operation.h
    ${SOURCE_DIR}/src/mongoc/mongoc-client.h
    ${SOURCE_DIR}/src/mongoc/mongoc-client-pool.h
@@ -274,6 +287,7 @@
    ${SOURCE_DIR}/src/mongoc/mongoc-gridfs-file.h
    ${SOURCE_DIR}/src/mongoc/mongoc-gridfs-file-page.h
    ${SOURCE_DIR}/src/mongoc/mongoc-gridfs-file-list.h
+   ${SOURCE_DIR}/src/mongoc/mongoc-handshake.h
    ${SOURCE_DIR}/src/mongoc/mongoc-host-list.h
    ${SOURCE_DIR}/src/mongoc/mongoc-init.h
    ${SOURCE_DIR}/src/mongoc/mongoc-index.h
@@ -281,35 +295,27 @@
    ${SOURCE_DIR}/src/mongoc/mongoc-log.h
    ${SOURCE_DIR}/src/mongoc/mongoc-matcher.h
    ${SOURCE_DIR}/src/mongoc/mongoc-opcode.h
-   ${SOURCE_DIR}/src/mongoc/mongoc-opcode-private.h
    ${SOURCE_DIR}/src/mongoc/mongoc-read-concern.h
    ${SOURCE_DIR}/src/mongoc/mongoc-read-prefs.h
    ${SOURCE_DIR}/src/mongoc/mongoc-server-description.h
    ${SOURCE_DIR}/src/mongoc/mongoc-socket.h
-   ${SOURCE_DIR}/src/mongoc/mongoc-socket-private.h
-   ${SOURCE_DIR}/src/mongoc/mongoc-stream-tls-openssl-bio-private.h
-   ${SOURCE_DIR}/src/mongoc/mongoc-stream-tls-openssl-private.h
+   ${SOURCE_DIR}/src/mongoc/mongoc-stream-tls-libressl.h
    ${SOURCE_DIR}/src/mongoc/mongoc-stream-tls-openssl.h
-   ${SOURCE_DIR}/src/mongoc/mongoc-stream-tls-private.h
    ${SOURCE_DIR}/src/mongoc/mongoc-stream.h
    ${SOURCE_DIR}/src/mongoc/mongoc-stream-buffered.h
    ${SOURCE_DIR}/src/mongoc/mongoc-stream-file.h
    ${SOURCE_DIR}/src/mongoc/mongoc-stream-gridfs.h
    ${SOURCE_DIR}/src/mongoc/mongoc-stream-socket.h
-   ${SOURCE_DIR}/src/mongoc/mongoc-trace.h
-   ${SOURCE_DIR}/src/mongoc/mongoc-trace-private.h
+   ${SOURCE_DIR}/src/mongoc/mongoc-topology-description.h
    ${SOURCE_DIR}/src/mongoc/mongoc-uri.h
    ${SOURCE_DIR}/src/mongoc/mongoc-version-functions.h
    ${SOURCE_DIR}/src/mongoc/mongoc-write-concern.h
+   ${SOURCE_DIR}/src/mongoc/mongoc-rand.h
+   ${SOURCE_DIR}/src/mongoc/mongoc-stream-tls.h
+   ${SOURCE_DIR}/src/mongoc/mongoc-ssl.h
 )
 
 if (NOT ENABLE_SSL STREQUAL OFF)
-   set (HEADERS ${HEADERS}
-        ${SOURCE_DIR}/src/mongoc/mongoc-rand.h
-        ${SOURCE_DIR}/src/mongoc/mongoc-stream-tls.h
-        ${SOURCE_DIR}/src/mongoc/mongoc-ssl.h
-        ${SOURCE_DIR}/src/mongoc/mongoc-ssl-private.h
-   )
    set (SOURCES ${SOURCES}
         ${SOURCE_DIR}/src/mongoc/mongoc-crypto.c
         ${SOURCE_DIR}/src/mongoc/mongoc-scram.c
@@ -334,6 +340,3 @@
       set (SOURCES ${SOURCES}
               ${SOURCE_DIR}/src/mongoc/mongoc-crypto-common-crypto.c
               ${SOURCE_DIR}/src/mongoc/mongoc-rand-common-crypto.c
-              ${SOURCE_DIR}/src/mongoc/mongoc-stream-tls-secure-transport.c
-              ${SOURCE_DIR}/src/mongoc/mongoc-secure-transport.c
-      )
