## libmongoc 1.5.4

=== debian/changelog ===
libmongoc (1.5.4-1) unstable; urgency=low

  * New upstream release

 -- A. Jesse Jiryu Davis <jesse@mongodb.com>  Mon, 30 Jan 2017 16:48:46 +0000

libmongoc (1.5.3-1) unstable; urgency=low

  * New upstream release

 -- A. Jesse Jiryu Davis <jesse@mongodb.com>  Thu, 12 Jan 2017 17:04:09 +0000

libmongoc (1.5.0-1) unstable; urgency=low

  [ A. Jesse Jiryu Davis ]
  * 1.5.0 Release
  * Remove symbols file
  * Add libbson-dev and libssl-dev dependencies (Closes: #843495)

  [ Ondřej Surý ]
  * Update gbp branch
  * Update libbson-dev Build-Depends to >= 1.5.0

 -- A. Jesse Jiryu Davis <jesse@mongodb.com>  Tue, 13 Dec 2016 15:20:11 +0000
