=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: A. Jesse Jiryu Davis <jesse@mongodb.com>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
-               libbson-dev (>= 1.4.2),
+               libbson-dev (>= 1.5.4),
                libssl-dev,
                pkg-config,
                yelp-tools,
@@ -18,6 +18,8 @@
 Section: libdevel
 Architecture: any
 Depends: libmongoc-1.0-0 (= ${binary:Version}),
+         libbson-dev (>= 1.5.4),
+         libssl-dev,
          ${misc:Depends}
 Description: MongoDB C client library - dev files
  libmongoc is the officially supported MongoDB client library for C
