=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,7 @@
 # package maintainers to append CFLAGS
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-
-export DPKG_GENSYMBOLS_CHECK_LEVEL=4
+export DEB_LDFLAGS_MAINT_APPEND := -lpthread
 
 # main packaging script based on dh7 syntax
 %:
@@ -29,7 +28,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	make man html
+	make man doc/html
 
 override_dh_auto_clean:
 	dh_auto_clean
