=== debian/changelog ===
libmongoc (1.7.0-1) unstable; urgency=low

  * New upstream release

 -- A. Jesse Jiryu Davis <jesse@mongodb.com>  Fri, 11 Aug 2017 03:09:17 +0000

libmongoc (1.6.3-1) unstable; urgency=low

  * New upstream release

 -- A. Jesse Jiryu Davis <jesse@mongodb.com>  Tue, 23 May 2017 22:52:54 +0000

libmongoc (1.6.1-1) unstable; urgency=low

  * New upstream release

 -- A. Jesse Jiryu Davis <jesse@mongodb.com>  Tue, 07 Mar 2017 22:35:13 +0000
