=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Maintainer: A. Jesse Jiryu Davis <jesse@mongodb.com>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
-               libbson-dev (>= 1.5.4),
+               libbson-dev (>= 1.7.0),
                libssl-dev,
                pkg-config,
-               yelp-tools,
-               yelp-xsl
+               python3-sphinx
 Standards-Version: 3.9.8
 Section: libs
 Homepage: https://github.com/mongodb/mongo-c-driver
@@ -18,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Depends: libmongoc-1.0-0 (= ${binary:Version}),
-         libbson-dev (>= 1.5.4),
+         libbson-dev (>= 1.7.0),
          libssl-dev,
          ${misc:Depends}
 Description: MongoDB C client library - dev files
