## libmongoc 1.9.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: libmongoc
 Priority: optional
-Maintainer: A. Jesse Jiryu Davis <jesse@mongodb.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: A. Jesse Jiryu Davis <jesse@mongodb.com>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
-               libbson-dev (>= 1.7.0),
+               libbson-dev (>= 1.9.2),
                libssl-dev,
                pkg-config,
-               python3-sphinx
-Standards-Version: 3.9.8
+               python3-sphinx,
+               zlib1g-dev,
+               libsnappy-dev
+Standards-Version: 4.1.3
 Section: libs
 Homepage: https://github.com/mongodb/mongo-c-driver
 Vcs-Git: https://github.com/mongodb/mongo-c-driver.git
@@ -17,8 +20,10 @@
 Section: libdevel
 Architecture: any
 Depends: libmongoc-1.0-0 (= ${binary:Version}),
-         libbson-dev (>= 1.7.0),
+         libbson-dev (>= 1.9.2),
          libssl-dev,
+         zlib1g-dev,
+         libsnappy-dev,
          ${misc:Depends}
 Description: MongoDB C client library - dev files
  libmongoc is the officially supported MongoDB client library for C
