## libmongoc 1.9.2+dfsg

=== debian/changelog ===
libmongoc (1.9.2+dfsg-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:50:36 +0000

libmongoc (1.9.2+dfsg-1) unstable; urgency=low

  * New upstream release
  * Update to Standards-Version 4.1.3 (no changes)

 -- A. Jesse Jiryu Davis <jesse@mongodb.com>  Fri, 12 Jan 2018 13:07:04 -0500

libmongoc (1.9.0+dfsg-1) unstable; urgency=low

  * New upstream release

 -- A. Jesse Jiryu Davis <jesse@mongodb.com>  Thu, 21 Dec 2017 03:55:28 +0000

libmongoc (1.8.1-1) unstable; urgency=low

  * New upstream release
  * Update to Standards-Version 4.1.1 (no changes)
  * Add zlib1g-dev, libsnappy-dev to libmongoc-dev deps (Closes: #878343)

 -- A. Jesse Jiryu Davis <jesse@mongodb.com>  Thu, 12 Oct 2017 16:09:27 +0000

libmongoc (1.8.0-1) unstable; urgency=low

  * New upstream release

 -- A. Jesse Jiryu Davis <jesse@mongodb.com>  Thu, 14 Sep 2017 19:53:19 +0000
